Package be.vlaanderen.mercurius.vsb.common.v2

# Class WaitingPeriodType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.WaitingPeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class WaitingPeriodType extends Object implements Serializable
used: ConsultSanctionMeasuresView.xsd, ConsultWaitingPeriodView.xsd, PushViews.xsd

Java class for WaitingPeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WaitingPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NumberOfYears" type="{http://www.w3.org/2001/XMLSchema}short"/>
             <element name="StartYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}YearType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WaitingPeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getNumberOfYears()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">De wachttijd wordt uitgedrukt in jaren.
  `Integer`
  `getStartYear()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">Startjaar wachttijd</p>
  `void`
  `setNumberOfYears(short value)`
  Sets the value of the numberOfYears property.
  `void`
  `setStartYear(Integer value)`
  Sets the value of the startYear property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WaitingPeriodType

    public WaitingPeriodType()

- ## Method Details

  - ### getNumberOfYears

    public short getNumberOfYears()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">De wachttijd wordt uitgedrukt in jaren. Bij een persoon die geen wachttijd (meer) heeft, zal dit veld 0 zijn. De maximale wachttijd wordt aanggeven met de parameter par_WachttijdMaxAantalJaren. Tot en met 2016 was dit 10j. Vanaf 2017 is dit 5j.</p>

  - ### setNumberOfYears

    public void setNumberOfYears(short value)
    Sets the value of the numberOfYears property.

  - ### getStartYear

    public Integer getStartYear()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">Startjaar wachttijd</p>

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">Enkel aanwezig indien NumberOfYears verschilt van 0.</p>

    Returns:
      possible object is `Integer`

  - ### setStartYear

    public void setStartYear(Integer value)
    Sets the value of the startYear property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getStartYear()`